# $Id: libibverbs.spec.in 3618 2005-09-29 17:43:11Z roland $
# Modified by Doug Ledford for inclusion in RHEL-4/FC-4
# Built against subversion source trees instead of released versions

%define ver      4265
%define dist	 .2.EL4

Name: libibverbs
Version: 1.0.rc4
Release: 0.%{ver}%{?dist}.XOS.1
Summary: A library for direct userspace use of InfiniBand

Group: System Environment/Libraries
License: GPL/BSD
Url: https://openib.org/svn/gen2/trunk
Source: %{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: i386 x86_64 ia64
BuildRequires: sysfsutils-devel

%description
libibverbs is a library that allows userspace processes to use
InfiniBand "verbs" as described in the InfiniBand Architecture
Specification.  This includes direct hardware access for fast path
operations.

For this library to be useful, a device-specific plug-in module should
also be installed.

%package devel
Summary: Development files for the libibverbs library
Group: Development/System
Requires: %{name} = %{version}-%{release} sysfsutils-devel

%description devel
Static libraries and header files for the libibverbs verbs library.

%package utils
Summary: Examples for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description utils
Useful libibverbs1 example programs such as ibv_devinfo, which
displays information about InfiniBand devices.

%prep
%setup -q -n %{name}-%{ver}
./autogen.sh
%configure

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/infiniband
%makeinstall
echo "%{_libdir}/infiniband" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/infiniband-%{_arch}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/infiniband-%{_arch}.conf

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.so*
%{_libdir}/infiniband
%{_sysconfdir}/ld.so.conf.d/*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_includedir}/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Mar 10 2006 X/OS Linux Team <xoslinux@xos.nl> 1.0.rc4-0.4265.2.EL4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on libibverbs-1.0.rc4-0.4265.2.EL4.src.rpm
  (md5sum of original source rpm: 1b8615c59e5ccde9ed4cbecad3dcca58).

* Thu Feb 2 2006 Doug Ledford <dledford@redhat.com>
- Bump version and rebuild with newer gcc

* Wed Nov 30 2005 Doug Ledford <dledford@redhat.com>
- Update source to svn revision 4265

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Update the files listing for the devel package
- Add ppc64 to the build matrix

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4 based upon Roland Drier's FC-4 package
- Add %{_libdir}/infiniband as an rpm owned directory and add a
  config entry to /etc/ld.so.conf.d
